@import "@styles/base/colors";
@import "@styles/base/typography.scss";

.gridContainer {
  display: grid;
  grid-template-columns: 372px auto;
  grid-gap: 1rem;
}

  .card {
    border: 1px solid $lightBlueColor;
    border-radius: 20px;
    padding: {
      top: 20px;
      left: 25px;
      right: 25px;
      bottom: 10px;
    }

    &:first-child {
      margin-bottom: 25px;
    }

    &.shadowCard {
      box-shadow: 0px 0px 25px rgba(32, 84, 215, 0.1);
      padding-bottom: auto;
    }

    & .peopleWrapper {
      margin-top: 20px;
      font-size: 14px;
      color: $greyText;
      width: 100%;

      & .peopleRow {
        display: flex;
        align-items: center;
        background: #F0F4FF;
        border: 1px solid $lightBlueColor;
        border-radius: 0px 10px 10px 0px;
        padding: 4px;
        padding-right: 10px;
        margin-bottom: 10px;

        & .shiftColor {
          display: inline-block;
          position: relative;
          width: 3px;
          height: 41px;
          margin-right: 15px;
          border-radius: 20px;
        }

        & .personWrapper {
          display: flex;
          align-items: center;
          margin-left: 9px;

          & .avatar {
            width: 36px;
            height: 36px;
          }

          & div {
            margin-left: 15px;
            line-height: 1.4;
          }

          & span {
            font-size: 12px;
            color: $greyColor;
          }
        }
      }
    }

    & .peopleHeader {
      border-bottom: 1px solid $lightBlueColor;
      padding-bottom: 15px;
      margin-top: 5px;
      font-size: 24px;
      width: 100%;

      & .day {
        font-size: 14px;
        color: $greyText;
      }
    }
  }


table.table {
  border-collapse: separate;
  border-spacing: 0 10px;

  & .tableHead {
    @include font($fontGotham, 12px, 19.2px);
    color: $greyText;
    & th {
      font-weight: normal;
      padding-bottom: 5px;
      border: {
        top: 1px solid $lightBlueColor !important;
        bottom: 1px solid $lightBlueColor !important;
      }
    }
  }

  & .tableRow {
    background-color: #F0F4FF;
    font-size: 12px;
  
    td {
      position: relative;
      vertical-align: middle;
      border: {
        top: 1px solid $lightBlueColor !important;
        bottom: 1px solid $lightBlueColor !important;
      }
      color: $greyText;
      padding-left: 15px !important;
      padding-bottom: 0 !important;
  
      &:first-child {
        display: flex;
        align-items: center;
        border-left: 1px solid $lightBlueColor !important;
        padding-left: 4px !important;
        &::after {
          content: "";
          position: absolute;
          background-color: $greyColor;
          right: 0;
          top: 10px;
          display: inline-block;
          width: 1px;
          height: 32px;
        }
      }
  
      &:last-child {
        border-bottom-right-radius: 10px; 
        border-top-right-radius: 10px; 
        border-right: 1px solid $lightBlueColor !important;
        &::before {
          content: "";
          position: absolute;
          background-color: $greyColor;
          left: 0;
          top: 10px;
          display: inline-block;
          width: 1px;
          height: 32px;
        }
      }

      & .shiftColor {
        display: inline-block;
        position: relative;
        top: -5px;
        width: 3px;
        height: 40px;
        margin-right: 15px;
        border-radius: 20px;
      }
  
      & .smallText {
        font-size: 10px;
        line-height: 12px;
        color: $greyColor;
      }
    }
  }

}
